Subject: Re: [PATCH 01/02 V3] net/ipv6: seperate sit driver to extra module

From: Joerg Roedel <[email-masked]>
Date: Sat, 14 Oct 2006 11:32:55 +0200

On Sat, Oct 14, 2006 at 01:09:39AM +0200, Jan Dittmer wrote:
> David Miller wrote:
> > From: Joerg Roedel <[email-masked]>
> > Date: Fri, 13 Oct 2006 21:17:45 +0200
> > 
> >> On Fri, Oct 13, 2006 at 08:12:06PM +0200, Jan Dittmer wrote:
> >>> This is missing the MODULE_LICENSE statements and taints the kernel upon
> >>> loading. License is obvious from the beginning of the file.
> >  ...
> >>> Signed-off-by: Jan Dittmer <[email-masked]>
> >> Signed-off-by: Joerg Roedel <[email-masked]>
> > 
> > Applied, thanks for catching this Jan.
> > 
> 
> Btw. is there any way to autoload the sit module or is this the
> task of the distribution tools? Debian etch at least does not
> automatically probe the module when trying to bring up a 6to4 tunnel.

AFAIK there is no way to automatically load the driver from the kernel
space. The configuration of the tunnel devices requires the sit0 device.
But this device is installed by the sit driver. I mailed a bug report to
the Debian people and informed them about the change.

Joerg